require File.expand_path('../support/helpers', __FILE__)

describe_recipe "loggly-rsyslog::default" do
  include Helpers::Loggly

  it "creates /etc/rsyslog.d/10-loggly.conf" do
    file("/etc/rsyslog.d/10-loggly.conf").must_exist
    file("/etc/rsyslog.d/10-loggly.conf").must_include '# Generated by Chef'

    if node['loggly']['enable_tls']
      file("/etc/rsyslog.d/10-loggly.conf").must_include '$DefaultNetstreamDriverCAFile /etc/syslog.loggly.crt'
      file("/etc/rsyslog.d/10-loggly.conf").must_include '$ActionSendStreamDriver gtls'
      file("/etc/rsyslog.d/10-loggly.conf").must_include '$ActionSendStreamDriverMode 1'
    else
      file("/etc/rsyslog.d/10-loggly.conf").wont_include '$ActionSendStreamDriver gtls'
      file("/etc/rsyslog.d/10-loggly.conf").wont_include '$ActionSendStreamDriverMode 1'
    end

    file("/etc/rsyslog.d/10-loggly.conf").must_include '*.*     @@logs.loggly.com:12345'
  end

  it "rsyslog-gnutls package" do
    if node['loggly']['enable_tls']
      package("rsyslog-gnutls").must_be_installed
    else
      package("rsyslog-gnutls").wont_be_installed
    end
  end
end